# $Revision: 1.24 $, $Date: 2010/10/07 10:24:35 $
Summary:	UDPcast is a multicast file transfer tool
Summary(pl.UTF-8):	UDPcast - przesyłanie plików przez multicast
Name:		udpcast
Version:	20100130
Release:	1
License:	GPL v2 for main code, BSD-like for fec.c
Group:		Networking
Source0:	http://udpcast.linux.lu/download/%{name}-%{version}.tar.gz
# Source0-md5:	f9ad942dfe3ecbd2da5d91479957e5a9
Patch0:		%{name}-Makefile.patch
URL:		http://udpcast.linux.lu/
BuildRequires:	autoconf >= 2.58
BuildRequires:	perl-tools-pod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UDPcast is a file transfer tool that can send data simultaneously to
many destinations on a LAN. This can for instance be used to install
entire classrooms of PC's at once. The advantage of UDPcast over using
other methods (NFS, FTP, whatever) is that UDPcast uses Ethernet's
multicast abilities: it won't take longer to install 15 machines than
it would to install just 2.

%description -l pl.UTF-8
UDPcast jest narzędziem do przesyłania danych jednocześnie do wielu
lokalizacji w sieci LAN, przykładowo do instalacji oprogramowania w
całej pracowni komputerowej za jednym razem. Przewagą UDPcast w
porównaniu do innych sposobów (NFS, FTP czy też innych) jest to, iż
wykorzystuje możliwość transmisji multicast - instalacja piętnastu
stacji roboczych nie powinna zająć więcej niż instalacja dwóch.

%package devel
Summary:	Header file for rateGovernor plugins
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia wtyczek rateGovernora
Group:		Development/Libraries
# doesn't require base

%description devel
Header file for rateGovernor plugins.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia wtyczek rateGovernora.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog.txt
%attr(755,root,root) %{_sbindir}/udp-*e*er
%{_mandir}/man1/udp-*e*er.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/udpcast

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udpcast.spec,v $
Revision 1.24  2010/10/07 10:24:35  gotar
- upgraded to 20100130

Revision 1.23  2009/03/26 20:46:51  qboosh
- header to -devel

Revision 1.22  2009/03/06 08:47:09  arekm
- rel 2

Revision 1.21  2009/02/25 14:25:03  piotrek
- 20081213

Revision 1.20  2008/06/29 16:22:16  qboosh
- tab

Revision 1.19  2008/06/29 14:03:47  areq
- add configure.patch (remove deprecated -m486)

Revision 1.18  2008-02-02 15:41:35  piotrek
- 20071228

Revision 1.17  2007-06-03 10:09:12  areq
- 20070602

Revision 1.16  2007/03/31 17:00:09  piotrek
- 20070323

Revision 1.15  2007/03/02 18:02:20  piotrek
- 20070218

Revision 1.14  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.12  2007/02/08 20:56:28  areq
- 20070205

Revision 1.11  2006/10/29 11:40:29  qboosh
- added Makefile patch to kill stupid -O6
- CC/CFLAGS are passed by configure

Revision 1.10  2006/10/29 09:47:00  piotrek
- up to 20060929
- fixed pl desc
- removed Makefile patch (now work done in configure)
- DESTDIR patch added

Revision 1.9  2006/06/25 15:18:23  areq
- 20060619

Revision 1.8  2005/10/06 09:45:29  snurf
- works, STBR wherever possible ;)
- typo

Revision 1.7  2005/10/03 15:21:49  qboosh
- pl fix/cosmetics

Revision 1.6  2005/09/29 05:31:56  snurf
- typos

Revision 1.5  2005/09/29 05:15:05  snurf
- works, release 1
- added pl desc

Revision 1.4  2005/09/26 15:36:43  snurf
- added missing br

Revision 1.3  2005/09/25 19:36:29  twittner
- allow to pass %__cc, %rpmcflags to make - -Makefile.patch (builds, not tested)
- use original source url

Revision 1.2  2005/09/25 18:20:19  snurf
- md5 sum

Revision 1.1  2005/09/25 18:16:39  snurf
- initial pld release
